Bug 128337 - thumbnail with chart does not crop gradient fill of data to data point shape
Summary: thumbnail with chart does not crop gradient fill of data to data point shape
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Jan-Marek Glogowski
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-10-23 10:56 UTC by Regina Henschel
Modified: 2019-11-28 10:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
GradientFill.ods has linear gradient with angle (19.99 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-10-23 10:56 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-10-23 10:56:40 UTC
Created attachment 155252 [details]
GradientFill.ods has linear gradient with angle

Close all open documents.
Open attached file, resave it and close it.
Look at the thumbnail of the document in the start center.

The gradients are not cropped to the data point shape.
Comment 1 Xisco Faulí 2019-11-08 10:30:12 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=cb7b343666c75f031093a5ab7f19873f054991d1

author	Jan-Marek Glogowski <glogow@fbihome.de>	2019-06-21 13:29:35 +0200
committer	Jan-Marek Glogowski <glogow@fbihome.de>	2019-06-22 15:23:16 +0200
commit	cb7b343666c75f031093a5ab7f19873f054991d1 (patch)
tree	193173a85d90e3bcc50d02197fd03af7305ddd72
parent	153e0cacb9a8bdabbf6eb1cd84b6aa87ee45b44f (diff)
tdf#125670 check graphics before output cliprect

Bisected with: bibisect-linux64-6.3

Adding Cc: to Jan-Marek Glogowski
Comment 2 Jan-Marek Glogowski 2019-11-26 04:07:03 UTC
Probably I shouldn't touch any code I don't fully understand. All this metafile drawing and SalGraphics interaction IMHO has simply too many side effects. I hope https://gerrit.libreoffice.org/83722 is the final fix...
Comment 3 Commit Notification 2019-11-27 20:53:28 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e021901b6c4f60735512c8d36b625be4f8edfd77

tdf#128337 clip the metafile Gradient drawing

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-11-28 10:02:23 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 2bf687bebb30defe576ddb20c1c9680979ed3086
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Jan-marek, thanks for fixing this issue!
Comment 5 Commit Notification 2019-11-28 10:04:48 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/eacfff3748b56507c24d52dc4979ee75ee164dd1

tdf#128337 clip the metafile Gradient drawing

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.